Debian Bug report logs - #625729
RM: llvm -- RoQA; obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Sylvestre Ledru <sylvestre@debian.org>

Date: Thu, 5 May 2011 13:51:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625729; Package release.debian.org. (Thu, 05 May 2011 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 05 May 2011 13:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: llvm/2.6-9.1+b1
Date: Thu, 05 May 2011 15:49:37 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: rm

Hello,

Could you remove llvm from testing ?
I would like to remove it for two reasons:
* llvm 2.6 is deprecated and versions 2.7 (which should be removed also in the 
close future), 2.8 and 2.9 are available in Debian.
* llvm package is now, in unstable, provided by llvm-defaults which is working
like gcc-defaults. This will allows better migrations and version switches.

Packages using llvm should work out of the box (except if their code doesn't
work with llvm 2.8)

Thanks,
Sylvestre


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625729; Package release.debian.org. (Thu, 05 May 2011 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 05 May 2011 14:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 625729@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>, 625729@bugs.debian.org
Subject: Re: Bug#625729: RM: llvm/2.6-9.1+b1
Date: Thu, 5 May 2011 15:56:54 +0200
[Message part 1 (text/plain, inline)]
Hi Sylvestre.

Sylvestre Ledru <sylvestre@debian.org> (05/05/2011):
> Could you remove llvm from testing ?
> I would like to remove it for two reasons:
> * llvm 2.6 is deprecated and versions 2.7 (which should be removed also in the 
> close future), 2.8 and 2.9 are available in Debian.
> * llvm package is now, in unstable, provided by llvm-defaults which is working
> like gcc-defaults. This will allows better migrations and version switches.
> 
> Packages using llvm should work out of the box (except if their code doesn't
> work with llvm 2.8)

Removals happen through unstable:
  http://wiki.debian.org/ftpmaster_Removals

From your description, I don't see why it would need to be removed
from testing only.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#625729; Package release.debian.org. (Thu, 05 May 2011 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 05 May 2011 22:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 625729@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 625729@bugs.debian.org
Subject: Re: Bug#625729: RM: llvm/2.6-9.1+b1
Date: Thu, 05 May 2011 23:20:26 +0200
Le jeudi 05 mai 2011 à 15:56 +0200, Cyril Brulebois a écrit :
> Hi Sylvestre.
> 
> Sylvestre Ledru <sylvestre@debian.org> (05/05/2011):
> > Could you remove llvm from testing ?
> > I would like to remove it for two reasons:
> > * llvm 2.6 is deprecated and versions 2.7 (which should be removed also in the 
> > close future), 2.8 and 2.9 are available in Debian.
> > * llvm package is now, in unstable, provided by llvm-defaults which is working
> > like gcc-defaults. This will allows better migrations and version switches.
> > 
> > Packages using llvm should work out of the box (except if their code doesn't
> > work with llvm 2.8)
> 
> Removals happen through unstable:
>   http://wiki.debian.org/ftpmaster_Removals
You are right, thanks.

S






Bug reassigned from package 'release.debian.org' to 'ftp.debian.org'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 06 May 2011 18:54:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: llvm -- RoQA; obsolete' from 'RM: llvm/2.6-9.1+b1' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Thu, 12 May 2011 20:57:18 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 09:51:28 GMT) Full text and rfc822 format available.

Notification sent to Sylvestre Ledru <sylvestre@debian.org>:
Bug acknowledged by developer. (Sat, 14 May 2011 09:51:29 GMT) Full text and rfc822 format available.

Message #24 received at 625729-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 625729-close@bugs.debian.org
Cc: llvm@packages.debian.org, llvm@packages.qa.debian.org
Subject: Bug#625729: Removed package(s) from unstable
Date: Sat, 14 May 2011 09:47:07 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libllvm-ocaml-dev |    2.6-9.1 | alpha, hppa
libllvm-ocaml-dev | 2.6-9.1+b1 | armel, hurd-i386, i386, kfreebsd-amd64, kfreebsd-i386, powerpc, s390, sparc
      llvm |    2.6-9.1 | source, alpha, hppa
      llvm | 2.6-9.1+b1 | armel, hurd-i386, i386, kfreebsd-amd64, kfreebsd-i386, powerpc, s390, sparc
  llvm-dev |    2.6-9.1 | alpha, hppa
  llvm-dev | 2.6-9.1+b1 | armel, hurd-i386, i386, kfreebsd-amd64, kfreebsd-i386, powerpc, s390, sparc
  llvm-doc |    2.6-9.1 | all
llvm-examples |    2.6-9.1 | all
llvm-runtime |    2.6-9.1 | alpha, hppa
llvm-runtime | 2.6-9.1+b1 | armel, hurd-i386, i386, kfreebsd-amd64, kfreebsd-i386, powerpc, s390, sparc
llvm-source |    2.6-9.1 | all

------------------- Reason -------------------
RoQA; obsolete
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625729@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/625729

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Jun 2011 07:35:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:10:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.